/***************************************************************************
                     dsdirselectdialog.h  -  description
                             -------------------
    begin                : Sat Jan 03 2004
    copyright            : (C) 2004 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DSDIRSELECTDIALOG_H
#define DSDIRSELECTDIALOG_H

#include <tdefiledialog.h>

class TQCheckBox;
class TQLabel;
class KComboBox;

/* A small helper class to allow layout changes in KDirSelectDialog */
class DSDirSelectDialog : public KFileDialog {
    TQ_OBJECT
  

    public:
        DSDirSelectDialog( TQWidget* parent );

        bool recursively() const;
        bool hidden() const;
        bool dirs() const;
        bool onlyDirs() const;
        void setRecursively( bool b );
        
        KURL::List selectedURLs();

    private slots:
        void enableControls();
        void slotOk();
        
    private:
        TQCheckBox* check;
        TQCheckBox* checkHidden;
        TQCheckBox* checkDir;
        TQCheckBox* checkOnlyDir;
        TQLabel* label;
};

#endif
